import request from '../../utils/request'

export function approveYbsf(data) {
  return request({
    url: '/ybVerify/approveYbsf',
    method: 'post',
    data,
  })
}

export function rejectYbsf(data) {
  return request({
    url: '/ybVerify/rejectYbsf',
    method: 'post',
    data,
  })
}

export function getUnhandledRequests(requestType) {
  return request({
    url: '/ybVerify/getUnhandledRequests',
    method: 'get',
    params: { requestType },
  })
}

export function handleRequest(data) {
  return request({
    url: '/ybVerify/handleRequest',
    method: 'post',
    data,
  })
}
